Foxit PDF SDK

Public Member Functions | List of all members
foxit::addon::ofd::OFDPage Class Reference
Inheritance diagram for foxit::addon::ofd::OFDPage:

## Public Member Functions
| OFDPage ()
| Constructor.
| OFDPage (const OFDPage &other)
| Constructor, with another OFD page object.
Matrix | GetDisplayMatrix (int left, int top, int width, int height, common::Rotation rotate)
| Get display matrix. More...
float | GetHeight () const
| Get page height (unit is 1/72 inch). More...
float | GetWidth () const
| Get page width (unit is 1/72 inch). More...
bool | IsEmpty () const
| Check whether current object is empty or not. More...
bool | operator!= (const OFDPage &other) const
| Not equal operator. More...
OFDPage & | operator= (const OFDPage &other)
| Assign operator. More...
bool | operator== (const OFDPage &other) const
| Equal operator. More...
void | Release ()
| Release current OFD page object. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Detailed Description

This class is used to get information of an OFD page. Please ensure common::Library::InitializeOFDEngine has been called successfully before using this class.

See also
  common::Library

## Member Function Documentation

## ◆ GetDisplayMatrix()

Matrix foxit::addon::ofd::OFDPage::GetDisplayMatrix | ( | int | left,
|  | int | top,
|  | int | width,
|  | int | height,
|  | common::Rotation | rotate
| ) |  |

Get display matrix.

This function is used to get a matrix for displaying the page.

Parameters

  [in] | left | Left position of the display area.
  [in] | top | Top position of the display area.
  [in] | width | Width of the display area.
  [in] | height | Height of the display area.
  [in] | rotate | Rotation of the display area. Please refer to values starting from common::e_Rotation0 and this should be one of these values.

Returns
  A matrix for displaying the page.

## ◆ GetHeight()

float foxit::addon::ofd::OFDPage::GetHeight | ( |  | ) | const

Get page height (unit is 1/72 inch).

Returns
  Page height.

## ◆ GetWidth()

float foxit::addon::ofd::OFDPage::GetWidth | ( |  | ) | const

Get page width (unit is 1/72 inch).

Returns
  Page width.

## ◆ IsEmpty()

bool foxit::addon::ofd::OFDPage::IsEmpty | ( |  | ) | const

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ operator!=()

bool foxit::addon::ofd::OFDPage::operator!= | ( | const OFDPage & | other | ) | const

Not equal operator.

Parameters

  [in] | other | Another OFD page object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

OFDPage& foxit::addon::ofd::OFDPage::operator= | ( | const OFDPage & | other | ) |

Assign operator.

Parameters

  [in] | other | Another OFD page object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::addon::ofd::OFDPage::operator== | ( | const OFDPage & | other | ) | const

Equal operator.

Parameters

  [in] | other | Another OFD page object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.

## ◆ Release()

void foxit::addon::ofd::OFDPage::Release | ( |  | ) |

Release current OFD page object.

Please call this function before common::Library::ReleaseOFDEngine to release current OFD page object.

Returns
  None.